Subject: [Idr] draft-ietf-idr-bgp-optimal-route-reflection-15 comments and suggestions

From: John Scudder <[email-masked]>
Date: Sat, 28 Oct 2017 14:10:04 +0300

Hi Authors,

As part of working on the shepherd's report I came up with a few fairly minor comments and suggestions. If you choose not to adopt #1 (not necessarily the exact text) I'd be interested in further discussion.

Some of my comments suggest replacing the term "optimal" with something more specific. I suggest this even though I do note your paragraph that begins "In this approach, optimal refers to..." (which might go well in the Introduction or even definitions, by the way?).

1. The document uses the term "best path" in many places. The term is used in the sense BGP practitioners tend to use it, and not the common English sense. This might be a problem for reviewers who aren't BGP subject experts. I suggest adding a definition to section 1 or elsewhere, along the lines of,

best path - the route chosen by the decision process detailed in [RFC 4271] section 9.1.2 and its subsections.
best path computation, best path algorithm, best path selection - the decision process detailed in [RFC 4271] section 9.1.2 and its subsections.

2. "best exit point" --> "closest exit point"

3. "add/diverse path deployments" should have references to RFC 7911 and RFC 6774. 

4. The reference to draft-ietf-idr-add-paths needs to be updated to point to RFC 7911.

5. "While the route
   reflector chooses one set of n paths" --> "When the..."

6. "enough so to make it typically undesirable" -> "enough so to typically make it undesirable"

7. "optimal distance to the next hops" --> "shortest distance to the next hops" ?

8. "This also provides for freedom" --> "This provides for freedom"

9. "allows transient or permanent migration of
   this network control plane function to an optimal location" -->
"allows transient or permanent migration of
   this network control plane function to an arbitrary location"

10. "The choice of specific granularity is left to the implementation
   decision" -->
... left as an implementation decision
or
... left to the implementor to decide

11. "implementation may automate it
   based on specified heuristics" -->
"implementation may automate it
   based on heuristics"
or if "specified" means something, it needs to be elaborated

12. "In situations where BGP next hop" --> "In situations where the BGP next hop"

13. In section 4.3, aren't paras 1 and 3 redundant, especially starting from "will be applied first" in both paragraphs? 

14. "one or more backup virtual
   location SHOULD" -->
"one or more backup virtual
   locations SHOULD"

15. "overhead is comparable to existing BGP export policies therefore" --> "overhead is comparable to existing BGP export policies and therefore"

16. "In the
   networks where there are" -->
"In
   networks where there are"

Thanks,

--John